%% -*- coding: utf-8 -*-

%% @type state() = #state{
%%                   dirs = [string()],
%%                   exts = [string()]
%%                 }.
%% ディレクトリのリストdirsと拡張子のリストextsを保持するレコード.
%% 初期値は、dirsもextsも空リスト.
-record(state, {
          dirs = [], % ディレクトリのリスト
          exts = []  % 拡張子のリスト
         }).
